]> git.phdru.name Git - dotfiles.git/blob - .shellrc
Refactor(.shellrc): Remove `$OPS1`, only use `$PS1`
[dotfiles.git] / .shellrc
1 #
2 # $HOME/.shellrc
3 #
4
5 # If not running interactively, don't do anything
6 case $- in
7     *i*) ;;
8       *) return ;;
9 esac
10
11 # Stop if non-interactive shell
12 [ -z "$PS1" ] && return
13
14 #if [ -x /usr/bin/dircolors ]; then
15 #   # I don't like these aliases - they work only in command line
16 #   # but not in scripts I run from command line.
17 #   # Color parameters must be passed via environment.
18 #   # So instead I put them in shell scripts in ~/bin.
19 #   alias ls='ls --color=auto'
20 #   alias dir='dir --color=auto'
21 #   alias vdir='vdir --color=auto'
22 #
23 #   alias grep='grep --color=auto'
24 #   alias fgrep='fgrep --color=auto'
25 #   alias egrep='egrep --color=auto'
26 #
27 #   alias dmesg='dmesg --human'
28 #fi
29
30
31 case "$HOME" in
32    /home/*)
33       if [ -L /home ]; then
34          START_DIR="`pwd`" &&
35          cd "$HOME" &&
36          HOME="`pwd`" &&
37          cd "$START_DIR"
38       fi
39    ;;
40 esac
41
42 if test -n "$KSH_VERSION" -o -n "$FCEDIT"; then
43    back() { cd - "$@"; }
44    j() { jobs; }
45 fi
46
47 if test -n "$BASH_VERSION"; then
48    if [ -r "$HOME"/admin/prog/bash_prompt ]; then
49       . "$HOME"/admin/prog/bash_prompt
50       set_prompts
51       unset set_prompts
52    else
53       PS1="${debian_chroot:+($debian_chroot)}\u@\h:\W \$SHLVL\\$ "
54    fi
55 fi
56
57 # clear screen and history, logout
58 chlo() { clear; cd; >$HISTFILE; unset HISTFILE; history -c; logout || exit; }
59
60
61 include() {
62    cfg="$1"
63    shift
64    if [ -f "./$cfg" -a -r "./$cfg" ]; then
65       echo "Reading config file \`$cfg'" 1>&2
66       . "./$cfg" "$@"
67    elif [ -f "$HOME/lib/config/$cfg" -a -r "$HOME/lib/config/$cfg" ]; then
68       echo "Reading config file \`$HOME/lib/config/$cfg'" 1>&2
69       . "$HOME/lib/config/$cfg" "$@"
70    else
71       echo "Cannot find config file \`$cfg'" 1>&2
72    fi
73 }
74
75
76 mc() {
77    if [ -n "$SLOWTERM" ]; then
78       MC_SLOW="--slow"
79    fi
80
81    case "$TERM" in
82       screen*) # screen, screen.rxvt
83          MC_XTERM="-x"
84       ;;
85    esac
86
87    #TMPDIR="$HOME"/tmp
88    #export TMPDIR
89
90    MC_FOUND=NO
91
92    for wrapper in \
93          /usr/local/share/mc/bin/mc-wrapper.sh \
94          /usr/local/libexec/mc/mc-wrapper.sh \
95          /usr/share/mc/bin/mc-wrapper.sh; do
96       if [ -r $wrapper ]; then
97          . $wrapper $MC_SLOW $MC_XTERM "$@"
98          rc=$?
99          MC_FOUND=YES
100          break
101       fi
102    done
103
104    if [ $MC_FOUND = NO ]; then
105       for mc in /usr/local/bin/mc /usr/bin/mc; do
106          if [ -x $mc ]; then
107             MC_TMP_DIR="${TMPDIR-/tmp}/mc-$USER"
108             if [ ! -d MC_TMP_DIR="${TMPDIR-/tmp}/mc-$USER" ]; then
109                MC_TMP_DIR="${TMPDIR-/tmp}"
110             fi
111             MC_PWD_FILE="$MC_TMP_DIR/mc.pwd.$$"
112             mc_type="`mc_type.py $mc`"
113             if [ "$mc_type" = old ]; then
114                $mc -P $MC_SLOW $MC_XTERM "$@" > "$MC_PWD_FILE"
115             elif [ "$mc_type" = new ]; then
116                $mc -P "$MC_PWD_FILE" $MC_SLOW $MC_XTERM "$@"
117             else
118                continue
119             fi
120             rc=$?
121             MC_FOUND=YES
122             cd "`cat \"$MC_PWD_FILE\"`" && /bin/rm "$MC_PWD_FILE"
123             break
124          fi
125       done
126    fi
127
128    if [ $MC_FOUND = NO ]; then
129       echo "Cannot find mc-wrapper.sh or mc" >&2
130       rc=1
131    fi
132
133    unset MC_FOUND MC_PWD_FILE MC_SLOW MC_TMP_DIR MC_XTERM
134
135    return $rc
136 }
137
138
139 mkcd() {
140    if [ $# -ne 1 ]; then
141       echo "Usage: mkcd directory_name" >&2
142    elif [ -d "$1" ]; then
143       cd "$1"
144    elif [ -e "$1" ]; then
145       echo "Error: $1 is a file" >&2
146    else
147       mkdir -p "$1" && cd "$1"
148    fi
149 }
150
151
152 if which tmux >/dev/null 2>&1; then
153    tmux() {
154       case "$TERM" in
155          rxvt)
156             TERM=rxvt-unicode command tmux "$@"
157          ;;
158
159          *)
160             command tmux "$@"
161          ;;
162       esac
163    }
164 fi
165
166
167 if [ "$SHLVL" -eq 1 ] && which startx >/dev/null 2>&1; then
168    X() { startx >> .Xserver.log 2>&1; cyr; rm -f .Xauthority; }
169 fi
170
171 x() { exit; }